Bug 230442 - graphics/osg: updating to 3.6.x
Summary: graphics/osg: updating to 3.6.x
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-08-07 19:46 UTC by Greg V
Modified: 2019-09-25 11:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
osg.patch (55.22 KB, patch)
2018-08-07 19:46 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-08-07 19:46:02 UTC
Created attachment 195989 [details]
osg.patch

We currently have: osg 3.4, osg-devel 3.5.

While the current stable release is 3.6.2. (One important change is that 3.6.x builds on aarch64!)

However, the simgear/flightgear/osgearth stuff does not work with 3.6.2.

The attached patch is one way to deal with this situation:

- osg-devel goes away
- osg is updated to 3.6
- osg 3.4 becomes osg34
- simgear/flightgear/osgearth depends on osg34
- openmw happily works with new osg :)
Comment 1 kunda 2019-01-25 21:41:13 UTC
Any progress? 
Current stable is 3.6.3
https://github.com/openscenegraph/OpenSceneGraph/releases/tag/OpenSceneGraph-3.6.3